Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1741327 - services data takes too long to load and often times out
Summary: services data takes too long to load and often times out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.10
Assignee: Keenan Brock
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1718102
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 19:24 UTC by Satoe Imaishi
Modified: 2019-09-23 19:43 UTC (History)
8 users (show)

Fixed In Version: 5.10.10.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1718102
Environment:
Last Closed: 2019-09-23 19:43:07 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2813 0 None None None 2019-09-23 19:43:15 UTC

Comment 3 CFME Bot 2019-08-15 16:30:24 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/14ea397d7d78a9d8e4ab59db7a3665a318779662
commit 14ea397d7d78a9d8e4ab59db7a3665a318779662
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Aug  8 16:17:59 2019 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Aug  8 16:17:59 2019 -0400

    Merge pull request #19025 from kbrock/turbo_distinct

    Turbo distinct

    (cherry picked from commit ec3a2dcce6498c146c12d0384e9b07be0f33f7eb)

    https://bugzilla.redhat.com/show_bug.cgi?id=1741327

 app/models/miq_report.rb | 4 +
 config/settings.yml | 1 +
 lib/rbac/filterer.rb | 46 +-
 spec/lib/rbac/filterer_spec.rb | 98 +
 4 files changed, 141 insertions(+), 8 deletions(-)

Comment 4 Joe Rafaniello 2019-08-15 16:42:46 UTC
Note, this isn't enabled by default.  You need to opt-in to test it.

In the advanced settings, enable use_sql_view:

:reporting:
  :use_sql_view: true

The settings page (and vms page) should be much faster
The number of records in the settings page should be the same
it should still sort properly

Comment 6 Keenan Brock 2019-08-26 22:29:48 UTC
Turning back on turbo button fixes this

https://github.com/ManageIQ/manageiq-ui-classic/pull/6101

Comment 7 CFME Bot 2019-08-27 08:17:08 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/8150b1f665bdd9513d7bd4b5e7f34ad6cfd162cf
commit 8150b1f665bdd9513d7bd4b5e7f34ad6cfd162cf
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Mon Aug 26 18:27:31 2019 -0400
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Mon Aug 26 18:27:31 2019 -0400

    Turbo mode for services

    Back to enabling turbo mode for services

    https://bugzilla.redhat.com/show_bug.cgi?id=1741327

 product/views/Service.yaml | 3 +
 1 file changed, 3 insertions(+)

Comment 9 CFME Bot 2019-09-05 00:32:22 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/735fb8514a07a0b5f57f69957e85c387fff478c3
commit 735fb8514a07a0b5f57f69957e85c387fff478c3
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Aug 27 04:10:12 2019 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Tue Aug 27 04:10:12 2019 -0400

    Merge pull request #6101 from kbrock/turbo_services

    Turbo mode for services

    (cherry picked from commit 38a59e54dfd03f0934b776324226e07c8cd1193e)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1741327

 product/views/Service.yaml | 3 +
 1 file changed, 3 insertions(+)

Comment 10 CFME Bot 2019-09-05 18:31:03 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/76e3ac6e8602ed4d3fdc333bdde4f9564a8f8fed
commit 76e3ac6e8602ed4d3fdc333bdde4f9564a8f8fed
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Mon Jul 22 11:30:57 2019 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Mon Jul 22 11:30:57 2019 -0400

    Merge pull request #18928 from kbrock/improved_order

    Fix turbo order

    (cherry picked from commit a0416358d444230ee074b0bc28004b411f9643db)

    https://bugzilla.redhat.com/show_bug.cgi?id=1741327

 lib/rbac/filterer.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 13 Niyaz Akhtar Ansari 2019-09-09 06:29:11 UTC
Verified in Version 5.10.10.0.20190905201238_76e3ac6

Comment 15 errata-xmlrpc 2019-09-23 19:43:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2813


Note You need to log in before you can comment on or make changes to this bug.